# $Revision: 1.42 $, $Date: 2012/05/17 18:15:37 $

%define		xfce_version	4.6.1
Summary:	X Terminal Emulator
Summary(pl.UTF-8):	Emulator terminala dla X
Name:		Terminal
Version:	0.4.8
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/apps/terminal/0.4/%{name}-%{version}.tar.bz2
# Source0-md5:	8dff62234da14e1a5e542fb56560ebe2
Patch0:		%{name}-desktop.patch
Patch1:		wordseps.patch
URL:		http://www.xfce.org/projects/terminal/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	exo-devel >= 0.3.101
BuildRequires:	gettext-devel
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	perl-XML-Parser
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	vte0-devel >= 0.17.1
BuildRequires:	xfce4-dev-tools >= 4.6.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Obsoletes:	xfce4-terminal
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Advanced lightweight Terminal Emulator for the X windowing system.

%description -l pl.UTF-8
Zaawansowany emulator terminala dla systemu X Window.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# already present as ur
%{__sed} -i 's,ur_PK ,,' configure.ac

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	--enable-dbus

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README THANKS
%attr(755,root,root) %{_bindir}/Terminal
%attr(755,root,root) %{_bindir}/terminal
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_iconsdir}/hicolor/*/stock/navigation/*.png
%{_pixmapsdir}/*.xpm

%dir %{_docdir}/%{name}
%{_docdir}/%{name}/C
%{_docdir}/%{name}/*.css
%lang(ca) %{_docdir}/%{name}/ca
%lang(da) %{_docdir}/%{name}/da
%lang(el) %{_docdir}/%{name}/el
%lang(es) %{_docdir}/%{name}/es
%lang(fr) %{_docdir}/%{name}/fr
%lang(gl) %{_docdir}/%{name}/gl
%lang(id) %{_docdir}/%{name}/id
%lang(it) %{_docdir}/%{name}/it
%lang(ja) %{_docdir}/%{name}/ja
%lang(pt) %{_docdir}/%{name}/pt
%lang(ru) %{_docdir}/%{name}/ru
%lang(sv) %{_docdir}/%{name}/sv
%lang(ug) %{_docdir}/%{name}/ug
%lang(zh_CN) %{_docdir}/%{name}/zh_CN
%{_mandir}/man1/%{name}*
%lang(ca) %{_mandir}/ca/man1/%{name}*
%lang(da) %{_mandir}/da/man1/%{name}*
%lang(el) %{_mandir}/el/man1/%{name}*
%lang(es) %{_mandir}/es/man1/%{name}*
%lang(fr) %{_mandir}/fr/man1/%{name}*
%lang(gl) %{_mandir}/gl/man1/%{name}*
%lang(id) %{_mandir}/id/man1/%{name}*
%lang(it) %{_mandir}/it/man1/%{name}*
%lang(ja) %{_mandir}/ja/man1/%{name}*
%lang(pt) %{_mandir}/pt/man1/%{name}*
%lang(ru) %{_mandir}/ru/man1/%{name}*
%lang(sv) %{_mandir}/sv/man1/%{name}*
#%lang(ug) %{_mandir}/ug/man1/%{name}*
%lang(zh_CN) %{_mandir}/zh_CN/man1/%{name}*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Terminal.spec,v $
Revision 1.42  2012/05/17 18:15:37  baggins
- rel 4

Revision 1.41  2012/04/14 09:02:53  glen
- include ";" in default wordseps, to be able nicely copy cgit urls

Revision 1.40  2011/12/06 08:07:17  lisu
- rel 2

Revision 1.39  2011/06/24 20:35:18  marti
- up to 0.4.8

Revision 1.38  2011/04/26 18:11:06  baggins
- rel 1

Revision 1.37  2011/04/26 17:53:41  baggins
- 0.4.7
- build with latest vte

Revision 1.36  2011/04/13 19:01:45  glen
- add more chars for word selection (common in urls)
- avoid * in filelists, may accidentally list unwanted dirs

Revision 1.35  2011/03/25 17:39:37  qboosh
- proper ur_PK comment

Revision 1.34  2011/02/17 11:32:28  baggins
- rel 2
- commented out unsupported man locale

Revision 1.33  2011/02/11 17:32:38  megabajt
- updated to 0.4.6

Revision 1.32  2011/02/04 18:24:05  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.31  2010/10/19 21:15:44  charles
- updated to 0.4.5

Revision 1.30  2010/05/11 09:59:07  baggins
- rel 2
- desktop file cleanup

Revision 1.29  2010/04/09 21:49:36  charles
- and... updated md5

Revision 1.28  2010/04/09 21:44:21  charles
- updated to 0.4.4

Revision 1.27  2009/07/04 09:09:38  megabajt
- release 3

Revision 1.26  2009/06/03 20:34:13  megabajt
- release 2

Revision 1.25  2009/04/27 08:00:23  adamg
- updated to 0.2.12

Revision 1.24  2009/02/27 19:25:53  megabajt
- updated URL

Revision 1.23  2009/02/27 17:54:01  megabajt
- updated to 0.2.10
- removed obsolete -locale-names.patch

Revision 1.22  2008/10/27 22:48:58  blues
- 0.2.8.3

Revision 1.21  2007/12/07 14:35:32  megabajt
- updated to 0.2.8
- added locale-names patch

Revision 1.20  2007-02-12 21:23:45  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:48:34  baggins
- converted to UTF-8

Revision 1.18  2007/01/21 19:37:06  megabajt
- updated to 0.2.6 (Xfce 4.4.0)

Revision 1.17  2006/11/06 16:31:02  megabajt
- up to 0.2.5.8rc2 (Xfce 4.4RC2)
- updated deps

Revision 1.16  2006/09/05 19:32:27  megabajt
- up to 0.2.5.6rc1
- use rpm macros

Revision 1.15  2006/07/16 19:02:48  freetz
- merged from DEVEL

Revision 1.13.4.3  2006/07/16 19:01:50  freetz
- 0.2.5.4beta2, updated deps, update icon cache, --as-needed support

Revision 1.13.4.2  2006/05/17 03:20:17  charles
- regenerate ac/am/lt; updated BRs

Revision 1.13.4.1  2006/05/03 18:30:24  freetz
- 0.2.5.1beta1, updated BR

Revision 1.14  2006/05/21 22:17:45  hawk
- release 3

Revision 1.13  2005/09/04 14:42:36  arekm
- rel 2; new dbus

Revision 1.12  2005/03/20 11:59:59  qboosh
- it's pure C, builds fine without libstdc++-devel

Revision 1.11  2005/03/20 08:50:44  charles
- updated to 2.2.4
- BR: libexo-devel up to >= 0.3.0, libxfcegui4-devel up to >= 4.2.0
- don't run autoconf (removed BR autoconf)
- added BR: libstdc++-devel, perl-XML-Parser

Revision 1.10  2004/12/31 00:15:17  charles
- updated to stable 0.2.2
- STBR

Revision 1.9  2004/12/29 09:14:09  charles
- up to 0.2.2pre2
- BR vte-devel up to >= 0.11.11

Revision 1.8  2004/12/22 23:49:46  havner
- rel 1

Revision 1.7  2004/12/22 01:25:56  zbyniu
- it is not c++; __autoconf (thnx qboosh)

Revision 1.6  2004/12/21 00:54:48  adamg
- changed spec name

Revision 1.5  2004/12/20 02:15:24  zbyniu
- BR: gcc-c++

Revision 1.4  2004/12/20 02:12:33  zbyniu
- added BRs (thnx for Karol "Charles" Krenski)

Revision 1.3  2004/12/13 13:38:05  adamg
- fixed %%setup, %%files, use %%find_lang

Revision 1.2  2004/12/13 13:29:38  adamg
- added Revision/Date CVS tags
- fixed Group (it's X11/Applications, not Applications/X11)
- renamed Source: to Source0:
- added Source0-md5

Revision 1.1  2004/12/13 13:22:03  adamg
- new from Charles <charles (at) os.pl>
